#include <iostream>
#include "Cmpx.hh"

int main() {

  double rp1, ip1;
  std::cout << "Enter a complex number (e.g. -2.01 + 6.7i) below." << std::endl;
  std::cout << "Enter the real part: ";
  std::cin >> rp1;
  std::cout << "Enter the imaginary part: ";
  std::cin >> ip1;
  Cmpx z1 {rp1,ip1};
  
  double rp2, ip2;
  std::cout << "Now enter another complex number below." << std::endl;
  std::cout << "Enter the real part: ";
  std::cin >> rp2;
  std::cout << "Enter the imaginary part: ";
  std::cin >> ip2;
  Cmpx z2 {rp2,ip2};

  Cmpx sum = z1.plus(z2);
  std::cout << "The sum of " << z1.to_string() << " and " << z2.to_string() << " is " << sum.to_string() << ".\n";

  Cmpx product = z1.times(z2);
  std::cout << "Their product is " << product.to_string() << ".\n";
  std::cout << "Dividing out the second to obtain the first: " << product.over(z2).to_string() << "\n";
  std::cout << "Dividing out the first to obtain the second: " << product.over(z1).to_string() << "\n";
  
  Cmpx i {0.0,1.0};
  std::cout << "Rotating first by 90 degrees: " << z1.times(i).to_string() << "\n";
  std::cout << "Rotating second by 90 degrees: " << z2.times(i).to_string() << "\n";
  
  return 0;
}
